package com.dsk.cscec.domain.bo;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author sxk
 * @date 2024.03.01
 * @time 17:59
 */
@Data
public class AddCbDirectExpenseBo {
    /**
     * 清ID
     */
    @NotNull(message = "清ID不能为空")
    private Long qingId;
    /**
     * 编码
     */
    @NotBlank(message = "编码不能为空")
    private String code;
    /**
     * 项目名称
     */
    @NotBlank(message = "项目名称不能为空")
    private String expenseName;
    /**
     * 单位
     */
    @NotBlank(message = "单位不能为空")
    private String unit;
    /**
     * 不含税成本单价
     */
    @NotBlank(message = "不含税成本单价不能为空")
    private String excludeTaxCbUnitPrice;
    /**
     * 特征描述
     */
    private String projectFeature;
}